Openkore not like POSIX.pm?

Forum closed. All further discussion to be discussed at https://github.com/OpenKore/

Moderator: Moderators

Locked
Message
Author
thedrops
Noob
Noob
Posts: 6
Joined: 18 May 2012, 02:22
Noob?: No

Openkore not like POSIX.pm?

#1 Post by thedrops »

Hello friends,

I've been messing around with making some plugins recently and popped in a

Code: Select all

use POSIX qw(floor ceil);
which brought everything to a halt. The issue revolves (presumably) entirely around me trying to use POSIX. This is the error code being thrown out:

Code: Select all

OpenKore version what-will-become-2.1
@ai_seq = follow
Network state = 5
Network handler = Network::DirectConnection
SVN revision: unknown
Loaded plugins:
  plugins/macro/macro.pl (macro; description: allows usage of macros)
  plugins/profiles/profiles.pl (profiles; description: Profiles Selector)

Error message:
Plugin contains syntax errors:
Usage: DynaLoader::bootstrap(module) at /<G:\Kore\openkore\start.exe>DynaLoader.pm line 137
	DynaLoader::bootstrap() called at /<G:\Kore\openkore\start.exe>DynaLoader.pm line 123
	DynaLoader::bootstrap_inherit() called at C:/Perl64/lib/POSIX.pm line 36
	require POSIX.pm called at G:/Kore/openkore/plugins/protectPartyMember.pl line 32
	protectPartyMember::__ANON__('POSIX.pm') called at perlapp line 920
	eval {...} called at perlapp line 920
	PerlApp::my_require('POSIX.pm') called at G:/Kore/openkore/plugins/protectPartyMember.pl line 32
	protectPartyMember::BEGIN() called at C:/Perl64/lib/POSIX.pm line 0
	eval {...} called at C:/Perl64/lib/POSIX.pm line 0
	require plugins/protectPartyMember.pl called at src/Plugins.pm line 155
	Plugins::__ANON__('plugins/protectPartyMember.pl') called at perlapp line 919
	PerlApp::my_require(undef, undef) called at src/Plugins.pm line 155
	Plugins::load('plugins/protectPartyMember.pl') called at src/Commands.pm line 3942
	Commands::cmdPlugin('plugin', 'load plugins/protectPartyMember.pl') called at src/Commands.pm line 300
	Commands::run('plugin load plugins/protectPartyMember.pl') called at src/functions.pl line 1001
	main::parseInput('plugin load plugins/protectPartyMember.pl') called at src/functions.pl line 63
	main::mainLoop() called at src/Interface.pm line 75
	Interface::mainLoop('Interface::Console::Win32=HASH(0x4710f34)') called at openkore.pl line 98
	main::__start() called at start.pl line 136
Compilation failed in require at G:/Kore/openkore/plugins/protectPartyMember.pl line 32.
BEGIN failed--compilation aborted at G:/Kore/openkore/plugins/protectPartyMember.pl line 32.

Stack trace:
Trace begun at src\Plugins.pm line 157
Plugins::load('plugins/protectPartyMember.pl') called at src\Commands.pm line 3942
Commands::cmdPlugin('plugin', 'load plugins/protectPartyMember.pl') called at src\Commands.pm line 300
Commands::run('plugin load plugins/protectPartyMember.pl') called at src\functions.pl line 1001
main::parseInput('plugin load plugins/protectPartyMember.pl') called at src\functions.pl line 63
main::mainLoop at src\Interface.pm line 75
Interface::mainLoop('Interface::Console::Win32=HASH(0x4710f34)') called at openkore.pl line 98
main::__start at start.pl line 136

Died at this line:
  			if ($@) {
* 				Plugin::LoadException->throw(TF("Plugin contains syntax errors:\n%s", $@));
  			} else {

^line 32 of protectPartyMember.pl is just the use POSIX qw(floor ceil);.

I'm not a code wizard so I don't know exactly what my issue is. I know I have it installed because I can use it in other perl scripts(not kore related), but anytime I try to use it in Kore, I get this error. If anyone could shed some light on the issue I would be pleased as punch. If there is any additional information that would help I can provide it.

EDIT: Apparently if I run wxstart instead of start I don't get any errors. It's late and my brain probs isn't working so will investigate further.

Cozzie
Spam Generator
Spam Generator
Posts: 499
Joined: 04 Apr 2008, 09:30
Noob?: No
Location: Melbourne, City of beer and awful sushis

Re: Openkore not like POSIX.pm?

#2 Post by Cozzie »

Hello. I am closing down the section as we are moving most of the development discussion to github. We don't have enough manpower to spread our discussion across different platform. Please repost your issues and call out the devs. Thanks!
Make Openkore Awesome. Join the team.

Locked